> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Price Adjustment Driver Junctions

> Retrieve a list of Price Adjustment Driver Junctions based on specified criteria.



## OpenAPI

````yaml /api/specs/identity-api.json get /identity/v1/price-adjustments-drivers
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/price-adjustments-drivers:
    get:
      tags:
        - Price Adjustment
      summary: List Price Adjustment Driver Junctions
      description: >-
        Retrieve a list of Price Adjustment Driver Junctions based on specified
        criteria.
      parameters:
        - in: query
          name: limit
          description: >-
            The maximum number of Price Adjustment Druver Junctions to return
            (default 20, maximum 100).
          schema:
            type: string
            pattern: ^[0-9][0-9]?$|^100$
        - in: query
          name: startingAfterDriver
          description: >-
            The ID of the last driver in the previous page of results. Results
            will start after this driver.
          schema:
            type: string
        - in: query
          name: startingAfterPriceAdjustment
          description: >-
            The ID of the last price adjustment in the previous page of results.
            Results will start after this price adjustment.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/PriceAdjustmentDriverJunction'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    PriceAdjustmentDriverJunction:
      type: object
      properties:
        priceAdjustmentId:
          type: string
        networkId:
          type: string
        status:
          type: string
          enum:
            - ATTACHED
            - DETACHED
        attachedAt:
          type: string
          format: date-time
        detachedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        driverId:
          type: string
      required:
        - priceAdjustmentId
        - networkId
        - status
        - attachedAt
        - createdAt
        - updatedAt
        - driverId
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````